Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.server
Class S_AuditSpecification

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SystemObject
                  oracle.ifs.server.S_TieSystemObject
                      oracle.ifs.core.server.S_AuditSpecification

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TieAuditSpecification

    public class S_AuditSpecification

extends S_TieSystemObject

The server-side representation of a AuditSpecification.

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_AuditSpecification(S_LibrarySession session, java.lang.Long classId)` Constructs an S_AuditSpecification for the case where the object has not been created in the database yet.
`protected` | `S_AuditSpecification(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_AuditSpecification.

Method Summary
`java.io.Serializable` | `DYNCreateEventTable(java.io.Serializable payload)` Creates the audit event table indicated by this instance's TABLENAMESUFFIX attribute, if it does not already exist.
`java.lang.String` | `getPropertyTableName()` Returns the table name to use for event properties for this AuditSpecification.
`java.lang.String` | `getTableName()` Returns the table name to use for events for this AuditSpecification.
`java.lang.String[]` | `getTableNames()` Returns the table names that are used for events for this AuditSpecification.
`java.lang.String` | `getTableNameSuffix()` Returns the table name suffix, for custom audit event tables.
`java.lang.String` | `getViewName()` Returns the table name to use for events for this AuditSpecification.
`protected boolean` | `isBroadcastCreateEventEnabled()` Returns indication as to whether create events should be posted.
`boolean` | `isPrivatePropertyTableUsed()` Gets the indication as to whether the Audit History for this AuditSpecification uses a private audit property table.
`protected boolean` | `tableExists(java.sql.Connection conn, java.lang.String tableName)` Return true if there is a row that meets the specified condition for the specified table.

Methods inherited from class oracle.ifs.server.S_SystemObject
`addCategory, cascadeFree, createCategories, deriveDefinition, extendedPostInsert, extendedPostUpdate, extendedPreInsert, extendedPreUpdate, getCategories, getCategories, getCategories, handleCascade, removeCategories, updateCategories, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPostFree, extendedPreCopy, extendedPreFree, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, hasNameAttribute, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_AuditSpecification

    protected S_AuditSpecification(S_LibrarySession session,
                                   S_LibraryObjectData data)
                            throws IfsException

  Constructs an S_AuditSpecification.

  Parameters:
    `session` - the session context
    `data` - the data component
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### S_AuditSpecification

    protected S_AuditSpecification(S_LibrarySession session,
                                   java.lang.Long classId)
                            throws IfsException

  Constructs an S_AuditSpecification for the case where the object has not been created in the database yet.

  Parameters:
    `session` - the session context
    `classId` - the ID of the class
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

Method Detail

### getTableNameSuffix

    public java.lang.String getTableNameSuffix()
                                        throws IfsException

  Description copied from class: `S_AuditSpecification`
  Returns the table name suffix, for custom audit event tables.

  Returns:
    the table name suffix, or null if the default table is used
  Throws:
    `IfsException` - if the operation fails.

### getTableName

    public java.lang.String getTableName()
                                  throws IfsException

  Description copied from class: `S_AuditSpecification`
  Returns the table name to use for events for this AuditSpecification.

  If the TABLENAMESUFFIX is null, this returns the default table name.

  Returns:
    the table name to use
  Throws:
    `IfsException` - if the operation fails.

### getTableNames

    public java.lang.String[] getTableNames()
                                     throws IfsException

  Description copied from class: `S_AuditSpecification`
  Returns the table names that are used for events for this AuditSpecification.

  Typically this returns just a length 1 array containing only the result of `getTableName`, but this can be overridden.

  Returns:
    the table names in use by this instance
  Throws:
    `IfsException` - if the operation fails.

### getViewName

    public java.lang.String getViewName()
                                 throws IfsException

  Description copied from class: `S_AuditSpecification`
  Returns the table name to use for events for this AuditSpecification.

  If the TABLENAMESUFFIX is null, this returns the default table name.

  Returns:
    the table name to use
  Throws:
    `IfsException` - if the operation fails.

### isPrivatePropertyTableUsed

    public boolean isPrivatePropertyTableUsed()
                                       throws IfsException

  Description copied from class: `S_AuditSpecification`
  Gets the indication as to whether the Audit History for this AuditSpecification uses a private audit property table.

  Returns:
    true if instance uses a private audit property table; false otherwise
  Throws:
    `IfsException` - if operation fails

### getPropertyTableName

    public java.lang.String getPropertyTableName()
                                          throws IfsException

  Description copied from class: `S_AuditSpecification`
  Returns the table name to use for event properties for this AuditSpecification.

  If the TABLENAMESUFFIX is null, this returns the default property table name.

  Returns:
    the property table name to use
  Throws:
    `IfsException` - if the operation fails.

### isBroadcastCreateEventEnabled

    protected boolean isBroadcastCreateEventEnabled()
                                             throws IfsException

  Description copied from class: `S_AuditSpecification`
  Returns indication as to whether create events should be posted.

  Overridden by subclasses that require create events (most do not).

  Overrides:
    `isBroadcastCreateEventEnabled` in class `S_LibraryObject`
  Returns:
    true if create event should be posted
  Throws:
    `IfsException` - if operation fails.

### DYNCreateEventTable

    public java.io.Serializable DYNCreateEventTable(java.io.Serializable payload)
                                             throws IfsException

  Description copied from class: `S_AuditSpecification`
  Creates the audit event table indicated by this instance's TABLENAMESUFFIX attribute, if it does not already exist.

  Parameters:
    `payload` - ignored
  Returns:
    always returns null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### tableExists

    protected boolean tableExists(java.sql.Connection conn,
                                  java.lang.String tableName)
                           throws java.sql.SQLException

  Description copied from class: `S_AuditSpecification`
  Return true if there is a row that meets the specified condition for the specified table. Throws if the table does not exist.

  Parameters:
    `conn` - the database connection
    `tableName` - the table name
  Throws:
    `java.sql.SQLException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD